Update a data view
- Base URL
-
https://{kibana_url}
- POST /api/data_views/data_view/{viewId}
Update an existing data view. Only the fields provided in the request body are updated.
Request body
Responses
Indicates a successful call.
https://{kibana_url}
Update an existing data view. Only the fields provided in the request body are updated.
Authorization: <value>
These APIs use key-based authentication. You must create an API key and use the encoded value in the request header. For example: Authorization: ApiKey base64AccessApiKey
Authorization: Basic <credentials>
Indicates a successful call.
data_view
object
allowNoIndex
boolean
Allows the data view saved object to exist before the data is available. Defaults to false.
namespaces
string[]
An array of space identifiers for sharing the data view between multiple spaces.
title
string
Comma-separated list of data streams, indices, and aliases that you want to search. Supports wildcards (*).
https://{kibana_url}